/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package agedistribution;

import com.opencsv.CSVReader;
import com.opencsv.CSVWriter;
import java.io.File;
import java.io.FileReader;
import java.io.FileWriter;
import java.io.IOException;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.LinkedHashMap;
import java.util.Set;

/**
 *
 * @author nalu
 */
public class AgeDistribution {

    private LinkedHashMap<String, int[]> years = new LinkedHashMap();
    private String[] ages;

    private void load(File f) {
        try {
            CSVReader reader = new CSVReader(new FileReader(f));
            ages = reader.readNext();
            String[] nextLine;
            while ((nextLine = reader.readNext()) != null) {
                int[] dist = new int[ages.length];
                //First element of dist is the year
                for (int i = 0; i < dist.length; i++) {
                    dist[i] = Integer.parseInt(nextLine[i]);
                }
                years.put(nextLine[0], dist);
            }
        } catch (IOException iOException) {
            System.err.println("Problem: " + iOException);
        }
    }

    private void write(File basePath) {
        Iterator<String> iter = years.keySet().iterator();
        int[] lastYear = years.get(iter.next());
        int[] currentYear;
        while (iter.hasNext()) {
            String year = iter.next();
            currentYear = years.get(year);
            try {
                String[] ss = new String[4];
                ss[0] = "X";
                ss[1] = "";
                ss[2] = "Decrease";
                ss[3] = "Increase";
                File f = new File(basePath, "dat" + year + ".csv");
                System.err.println("Writing " + f);
                CSVWriter writer = new CSVWriter(new FileWriter(f));
                writer.writeNext(ss);
                //Age 0
                ss[0] = "0";
                ss[1] = "0";
                ss[2] = "0";
                ss[3] = "" + currentYear[1];
                writer.writeNext(ss);
                for (int i = 2; i < currentYear.length-1; i++) {
                    ss[0] = ages[i];
                    if (currentYear[i] < lastYear[i - 1]) {
                        ss[1] = "0" + currentYear[i];
                        ss[2] = "0" + (lastYear[i-1]-currentYear[i]);
                        ss[3] = "0";
                    } else if (currentYear[i] > lastYear[i - 1]) {
                        ss[1] = "" + lastYear[i - 1];
                        ss[2] = "0";
                        ss[3] = "" + (currentYear[i] - lastYear[i - 1]);
                    } else { //same
                        ss[1] = "" + currentYear[i];
                        ss[2] = "0";
                        ss[3] = "0";
                    }
                    writer.writeNext(ss);
                }
                //Age 90+
                ss[0] = "90+";
                ss[1] = "" + currentYear[1];
                ss[2] = "0";
                ss[3] = "0";
                writer.writeNext(ss);
                writer.close();
            } catch (IOException ex) {
                System.err.println("Writing CSV files error: " + ex);
            }
            lastYear = currentYear;
        }

    }

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        AgeDistribution ad = new AgeDistribution();
        File f = new File("/home/nalu/Downloads/census/test/age_dist.csv");
        ad.load(f);
        f = new File("/home/nalu/Downloads/census/test");
        ad.write(f);
    }
}
